Bug 627843 - SELinux is preventing /lib/udev/iphone-set-info "search" access on /root/.config.
Summary: SELinux is preventing /lib/udev/iphone-set-info "search" access on /root...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cf38bacb913...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-27 06:12 UTC by Naoki
Modified: 2010-09-08 04:31 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:31:38 UTC


Attachments (Terms of Use)

Description Naoki 2010-08-27 06:12:22 UTC
Summary:

SELinux is preventing /lib/udev/iphone-set-info "search" access on
/root/.config.

Detailed Description:

[iphone-set-info has a permissive type (udev_t). This access was not denied.]

SELinux denied access requested by iphone-set-info. It is not expected that this
access is required by iphone-set-info and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:udev_t:s0-s0:c0.c1023
Target Context                system_u:object_r:config_home_t:s0
Target Objects                /root/.config [ dir ]
Source                        iphone-set-info
Source Path                   /lib/udev/iphone-set-info
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libgpod-0.7.93-3.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-20.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35-0.57.rc6.git1.fc14.i686.PAE #1 SMP Mon Jul
                              26 22:43:18 UTC 2010 i686 i686
Alert Count                   4
First Seen                    Fri 27 Aug 2010 10:41:36 AM JST
Last Seen                     Fri 27 Aug 2010 10:41:36 AM JST
Local ID                      2a8707fa-69b3-4fe1-a8e6-f7d228b504f1
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282873296.856:5261): avc:  denied  { search } for  pid=1156 comm="iphone-set-info" name=".config" dev=dm-1 ino=135514 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:config_home_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1282873296.856:5261): avc:  denied  { search } for  pid=1156 comm="iphone-set-info" name="libimobiledevice" dev=dm-1 ino=802594 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1282873296.856:5261): avc:  denied  { read } for  pid=1156 comm="iphone-set-info" name="libimobiledevicerc" dev=dm-1 ino=802595 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1282873296.856:5261): avc:  denied  { open } for  pid=1156 comm="iphone-set-info" name="libimobiledevicerc" dev=dm-1 ino=802595 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282873296.856:5261): arch=40000003 syscall=5 success=yes exit=4 a0=9ffc820 a1=8000 a2=0 a3=9ffcc00 items=0 ppid=1 pid=1156 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="iphone-set-info" exe="/lib/udev/iphone-set-info" subj=system_u:system_r:udev_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,iphone-set-info,udev_t,config_home_t,dir,search
audit2allow suggests:

#============= udev_t ==============
allow udev_t config_home_t:dir search;
allow udev_t config_home_t:file { read open };

Comment 1 Daniel Walsh 2010-08-27 15:44:31 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 15:59:02 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:37:44 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:29:55 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.